Bug 557391 - Review Request: ghc-QuickCheck - Automatic testing of Haskell programs
Review Request: ghc-QuickCheck - Automatic testing of Haskell programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-21 05:09 EST by Jens Petersen
Modified: 2010-10-05 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 02:22:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-21 05:09:55 EST
Spec URL: http://petersen.fedorapeople.org/ghc-QuickCheck/ghc-QuickCheck.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-QuickCheck/ghc-QuickCheck-2.1.0.2-2.fc12.src.rpm
Description: Automatic testing of Haskell programs

Part of haskell-platform.
Comment 2 Rakesh Pandit 2010-01-24 06:09:08 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1941087  - fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/QuickCheck-2.1.0.2.tar.gz 
c26a00c3950cab9b38dd4756e7b979c75d41bb13  ../SOURCES/QuickCheck-2.1.0.2.tar.gz
[rakesh@dhcp1-96 SPECS]$ sha1sum QuickCheck-2.1.0.2.tar.gz 
c26a00c3950cab9b38dd4756e7b979c75d41bb13  QuickCheck-2.1.0.2.tar.gz
[rakesh@dhcp1-96 SPECS]$ 

[+] name fine
[+] URL fine
[+] rpmlint - ok 

===========================================================================
Spec file rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
/tmp/gach5Liynq/ghc-QuickCheck.spec: W: no-cleaning-of-buildroot %install
/tmp/gach5Liynq/ghc-QuickCheck.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

Ignored.

===========================================================================
Pkg rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
ghc-QuickCheck.src: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck.src: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck.src: W: spelling-error-in-description en_US combinators
ghc-QuickCheck.src: W: no-cleaning-of-buildroot %install
ghc-QuickCheck.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Ignored.

===========================================================================
Lint output on koji build rpms:
===========================================================================
===========================================================================
Koji build rpm /tmp/gach5Liynq/kojivjxCmL/1941088/ghc-QuickCheck-doc-2.1.0.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-QuickCheck-doc.x86_64: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck-doc.x86_64: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck-doc.x86_64: W: spelling-error-in-description en_US combinators
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gach5Liynq/kojivjxCmL/1941088/ghc-QuickCheck-prof-2.1.0.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-QuickCheck-prof.x86_64: E: devel-dependency ghc-QuickCheck-devel
ghc-QuickCheck-prof.x86_64: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck-prof.x86_64: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck-prof.x86_64: W: spelling-error-in-description en_US combinators
ghc-QuickCheck-prof.x86_64: W: no-documentation
ghc-QuickCheck-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/QuickCheck-2.1.0.2/libHSQuickCheck-2.1.0.2_p.a
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gach5Liynq/kojivjxCmL/1941088/ghc-QuickCheck-2.1.0.2-2.fc13.src.rpm output:
===========================================================================

Rpmlint Messages:
ghc-QuickCheck.src: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck.src: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck.src: W: spelling-error-in-description en_US combinators
ghc-QuickCheck.src: W: macro-in-%description %ghc_lib_package
ghc-QuickCheck.src: W: no-cleaning-of-buildroot %install
ghc-QuickCheck.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gach5Liynq/kojivjxCmL/1941088/ghc-QuickCheck-devel-2.1.0.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-QuickCheck-devel.x86_64: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck-devel.x86_64: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck-devel.x86_64: W: spelling-error-in-description en_US combinators
ghc-QuickCheck-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gach5Liynq/kojivjxCmL/1941088/ghc-QuickCheck-2.1.0.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-QuickCheck.x86_64: W: spelling-error-in-summary en_US Haskell
ghc-QuickCheck.x86_64: W: spelling-error-in-description en_US Haskell
ghc-QuickCheck.x86_64: W: spelling-error-in-description en_US combinators
ghc-QuickCheck.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/QuickCheck-2.1.0.2/libHSQuickCheck-2.1.0.2-ghc6.12.1.so
ghc-QuickCheck.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/QuickCheck-2.1.0.2/libHSQuickCheck-2.1.0.2-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Ignored.

[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/QuickCheck-2.1.0.2
/usr/share/doc/ghc-QuickCheck-2.1.0.2
devel
/usr/lib/ghc-6.12.1/QuickCheck-2.1.0.2
/usr/lib/ghc-6.12.1/QuickCheck-2.1.0.2/Test
/usr/lib/ghc-6.12.1/QuickCheck-2.1.0.2/Test/QuickCheck
doc
/usr/share/doc/ghc/html/libraries/QuickCheck-2.1.0.2

[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 3 Jens Petersen 2010-01-24 19:35:11 EST
Thanks!


New Package CVS Request
=======================
Package Name: ghc-QuickCheck
Short Description: Automatic testing of Haskell programs
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2010-01-27 00:21:35 EST
CVS done (by process-cvs-requests.py).
Comment 5 Jens Petersen 2010-01-27 02:22:46 EST
Imported and building. Thanks

http://koji.fedoraproject.org/koji/taskinfo?taskID=1947262
Comment 6 Jens Petersen 2010-10-05 00:34:06 EDT
Package Change Request
======================
Package Name: ghc-QuickCheck
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 7 Jason Tibbitts 2010-10-05 09:24:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.